<?php

return [

    'home_route' => 'home',

    'admin_route' => 'admin.dashboard',

    'admin_base_url_prefix' => 'admin',

    'admin_url_prefix' => 'content',

    'admin_manage_route' => 'admin.content.manage',

    'admin_layout' => 'simpleCms::layout',

    'admin_middleware' => ['web'],

    'front_end_middleware' => ['web'],

    'content_types' => [

    ],

    'generator' => [
        'templates' => [
            'simple' => [
                'factory' => 'templates/database/factories/__Simple__Factory.txt',
                'migration' => 'templates/database/migrations/simple_table.txt',
                'seeder' => 'templates/database/seeds/__Simple__Seeder.txt',
                'model' => 'templates/models/__Simple__.txt',
                'admin_controller' => 'templates/controllers/admin/__Simples__Controller.txt',
                'admin_views' => 'templates/resources/views/admin/simples',
                'admin_route' => 'templates/routes/admin.txt',
                'policies' => 'templates/policies/__Simple__Policy.txt',
                'tests' => 'templates/tests/feature/admin/__Simple__Test.txt',
                'requests' => [
                    'store' => 'templates/requests/store.txt',
                    'update' => 'templates/requests/update.txt',
                ],
            ],
            'simpleCMS' => [
                'factory' => 'templates/database/factories/__SimpleCMS__Factory.txt',
                'migration' => 'templates/database/migrations/simple_cms_table.txt',
                'seeder' => 'templates/database/seeds/__SimpleCMS__Seeder.txt',
                'model' => 'templates/models/__SimpleCMS__.txt',
                'admin_views' => 'templates/resources/views/admin/simplecms',
                'policies' => 'templates/policies/__SimpleCMS__Policy.txt',
                'tests' => 'templates/tests/feature/admin/__SimpleCMS__Test.txt',
            ],
        ],
        'directories' => [
            'app/Http/Controllers/Admin',
            'app/Http/Requests',
            'app/Models',
            'app/Policies',
            'resources/views/admin/content',
            'storage/app/templates',
            'tests/Feature/Admin',
        ],
    ],

];
