<?php

namespace Drp\SimpleCms\Test\Unit\Generators\Crud;

use Drp\SimpleCms\Generators\Crud\Core;
use Drp\SimpleCms\Test\TestCase;
use Illuminate\Support\Facades\File;

/**
 * Class CoreTest
 * @package Drp\SimpleCms\Test\Unit
 */
class CoreTest extends TestCase
{
    /** @test */
    public function it_can_create_file_from_template()
    {
        $template = __DIR__ . 'test.txt';
        $file = __DIR__ . 'test.php';

        file_put_contents($template, "__simple__\n__simples__\n__Simple__\n__Simples__\n_simple_");
        Core::create($template, $file, 'Test');

        $this->assertTrue(File::exists($file));
        $this->assertEquals("test\ntests\nTest\nTests\n_simple_", file_get_contents($file));

        File::delete([$template, $file]);
    }
}
